Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

What Android app with 1.3.20+ firmware?

Discussion in 'Pro/Adv Discussion' started by low_budget, Jan 25, 2016.

  1. low_budget

    Joined:
    Dec 20, 2015
    Messages:
    34
    Likes Received:
    9
    Location:
    Missouri, USA
    I recently "downgraded" my Phantom 3 Advanced firmware from 1.6.40 to 1.3.20. I did this by parting out and selling the updated Phantom and buying a new one, of course. I got a new P3A from dji with the old style motors, which I actually prefer.

    Anyways I have no issues with dji go app v2.4.3 on iphone and can fly normally, but I cant get anything to work on my Samsung Galaxy Tab E. I have tried dji go 2.4.3, 2.4.2 and they crash when trying to connect. It appears litchi is also incompatible.
     
  2. kenargo

    Approved Vendor

    Joined:
    Nov 20, 2014
    Messages:
    461
    Likes Received:
    60
    If you use Android and would like to use DJI Ultimate Flight - v3 - Android Apps on Google Play then I can send up an older version that works with the older firmware. You will need to purchase the current version and PM me and I will send you a version that works with the older firmware.
     
  3. low_budget

    Joined:
    Dec 20, 2015
    Messages:
    34
    Likes Received:
    9
    Location:
    Missouri, USA
    dji ultimate flight sucks. really is ugly unpolished software waste of money and still no live video feed.

    Still trying and hoping to fly my Phantom 3 advanced with live video feed on 1.3.2 firmware.

    used to work on my iPhone, now it does not with dji go 1.4.3. is dji locking this out so they can "fix" it by forcing a firmware update?

    somebody out there must have this problem and hopefully a solution.
     
  4. Jimkar

    Joined:
    Jan 12, 2016
    Messages:
    12
    Likes Received:
    0
    I'm running 2.4.3 Android with firmware 1.1.9 , no problems whatsoever.
     
  5. kenargo

    Approved Vendor

    Joined:
    Nov 20, 2014
    Messages:
    461
    Likes Received:
    60
    I'm guessing you are confusing DJI Ultimate Flight with another app called Ultimate Flight. There are 2 of similar names. DJI Ultimate Flight has never had an iOS version Ultimate Flight I believe does have an iOS version.

    If you do feel you have the correct app then I'd be interested to hear more about your comments especially since the UI is moderately similar to other apps on the market. You can comment here or directly to me support@djiUltimateFlight.com
     
  6. Meta4

    Meta4 Moderator
    Staff Member

    Joined:
    Jan 8, 2014
    Messages:
    7,729
    Likes Received:
    3,449
    You haven't looked at your horizon then.
     
  7. Jimkar

    Joined:
    Jan 12, 2016
    Messages:
    12
    Likes Received:
    0
    Thanks, what should I be looking for? Also what version s are optimum?
     
  8. low_budget

    Joined:
    Dec 20, 2015
    Messages:
    34
    Likes Received:
    9
    Location:
    Missouri, USA
    Maybe it was unfair to say Dji Ultimate flight sucks since I haven't been able to get live video to connect and dji go isn't working with live camera feed either.

    It is Dji Ultimate flight version 3.102.
    At first it would not connect at all, but I found dji go was interfering and figured out how to get it to connect.
    Seems to work ok, connects to GPS and says ready to fly and takes pictures. No video feed on my Android tablet or iphone though.
    I'm not too interested in the autopilot features since they won't work with my current firmware anyway, but I was just hoping to find an app that will still connect and let me change settings & give me video feed while I fly.

    I have the Phantom 3 Advanced upgraded with 4k camera on firmware 3.1.20+ (for professional 4k version)
    I updated the RC firmware from 3.xx to 1.5.70 and still not working. Not sure if I'll regret trying that.

    When I first got the P3A and after I upgraded to a 4k camera and the correct firmware for it, it would work with dji go only on my iPhone. I was ok with that tiny 4" screen, but lately that has not worked either.

    I guess I don't need to be in a big hurry to get this working as I still have the backup Phantom 3 standard around.
    Makes me wonder why I got this P3A though since it sits in the box, LOL.
     
  9. kenargo

    Approved Vendor

    Joined:
    Nov 20, 2014
    Messages:
    461
    Likes Received:
    60
    Thanks for clearing up the misunderstanding!

    For customers of mine that prefer to run the older firmware I have been making available an older version of the app that used an older SDK (back before DJI added the altitude limits). My offer is the same as I've done for other users, if you would like me to send you a link to an earlier version with the old SDK contact me offline and I'll send you a link. If the older GO app worked then my older app should also work. If GO never worked on your device I wouldn't expect 3rd part apps to work either.
     
  10. low_budget

    Joined:
    Dec 20, 2015
    Messages:
    34
    Likes Received:
    9
    Location:
    Missouri, USA
    Ok I got both dji go and dji ultimate flight working with live camera feed.
    Neither app was the problem.

    Apparently my shutter speed and ISO settings were off so bad, the image indoors was completely black. I found the problem when I turned it on while facing the window during the day, and I saw a faint white square on the screen. Ok, I'm dumb.

    With camera settings corrected, I found dji ultimate flight to be much better than my initial impression. I figured out how to turn off the voice and auto record, so I found that much better. I'd like to try out the autopilot modes, but generally I prefer to be piloting my bird manually all the time anyway.
     
  11. kenargo

    Approved Vendor

    Joined:
    Nov 20, 2014
    Messages:
    461
    Likes Received:
    60
    That's great to hear. So you have things working with the older firmware, great.

    Ken
     
  12. Wolfiesden

    Joined:
    Jan 12, 2016
    Messages:
    1,187
    Likes Received:
    400
    Location:
    Milwaukee, WI, Ft Walton Beach, FL
    Why is it you say Litchi is incompatible? I fly Litchi with a P3P with 1.1.9. And a P3A with 1.2.(something) and now 1.5.0011. Never had issue with Litchi other than it not doing any of the waypoints and other stuff that requires a later FW. For normal flying its been 100% for me. Go, that crashes and locks up so often I have never left the ground with GO. On either bird.